package com.cool.store.mapper;

import com.cool.store.entity.SysRoleMenuDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * describe:
 *
 * @author zhouyiping
 * @date 2020/09/23
 */
@Mapper
public interface SysRoleMenuMapper {

    List<SysRoleMenuDO> listSysRoleMenuByRoleIdOld(@Param("roleId")Long roleId,
                                                   @Param("platform")String platform);

    List<SysRoleMenuDO> listSysRoleMenuByRoleId(@Param("roleId")Long roleId,
                                                @Param("platform")String platform);

    List<SysRoleMenuDO> listSysRoleMenuByPlatform( @Param("platform")String platform);

    List<Long> listSysRoleMenuIdByMenuId(@Param("platform")String platform,
                                         @Param("menuId")Long menuId);

    List<SysRoleMenuDO> listRoleMenuIdByMenuIds(@Param("menuIds")List<Long> menuIds);
}
